import { ERC20Token } from '../../types/token.types';
export declare class PrivateTokensDB {
    private fetchedTokens;
    initalFetched: boolean;
    updateFetchedTokens(): Promise<void>;
    getPrivateTokens(chainId: number, walletAddress: string): Promise<ERC20Token[]>;
    private fetchPrivateTokens;
    fetchAndUpdatePrivateTokens(erc20Addresses: string[], chainId: number, walletAddress: string, preFetchedTokens?: ERC20Token[]): Promise<void>;
    getFetchedTokens(chainId: number, walletAddress: string): ERC20Token[];
}
export declare const privateTokensDB: PrivateTokensDB;
